import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import TextArea from './ZTextArea'


const FormItem = Form.Item;


export default class T39F extends Component
{

    name='39F'
    desp = "Supplementary Information About Amount"

    pattern = "12*65z"
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col span={24}>
            <FormItem
                  help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >

                        <TextArea type= "textarea" maxLength={65*12} cols={65} rows={12} style={{imeMode:'disabled'}} placeholder="Supplementary Information About Amount" value={value.s1} onChange={(e)=>this.onChange(e.target.value)}/>
                </FormItem>

            </Col>
        </Row>)
    }
}
